<%@Page Language="VB" %>

<%

dim q as Queue = new Queue()


q.Enqueue("Wake up")
q.Enqueue("Have a shower")
q.Enqueue("Get dressed")
q.Enqueue("Go to work")
q.Enqueue("Do a great job")
q.Enqueue("Come home and relax")

do while q.Count > 0 

	Response.Write( "<BR>" & q.Dequeue() )
loop

dim q2 as Queue
q2 = Queue.Synchronized( q )

%>
